Get payment-gateway details from id
GET/pub/payment-gateway/:payment_gateway_id/info
Get payment-gateway details from id
Request
Path Parameters
payment_gateway_id uuidrequired
ID of payment gateway
Query Parameters
sector string
sector used to manage preselected charity
company_id uuid
company ID used to manage preselected charity
payment_gateway_company_id uuid
company ID of payment gateway used to manage preselected charity
Responses
- 200
- 401
successful operation
- application/json
- Schema
- Example (from schema)
Schema
id UUID
Cents ID of the gateway
name string
The name of the payment gateway
registration_date date
The registration date of the payment-gateway (YYYY-MM-DD format)
configuration
object
button_color stringrequired
The color of the button (hex color code)
ab numberrequired
The AB value for configuration
charities_blacklist_sectors string[]
List of sectors of charities to be excluded
charities_blacklist string[]
List of charities to be exclude
charities_whitelist_sectors string[]
List of sectors of charities to be included, if empty all charities will be included
charities_whitelist string[]
List of charities to be included, if empty all charities will be included
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Nexi",
"registration_date": "2023-05-13",
"configuration": {
"button_color": "#FF0000",
"ab": 0.1
},
"charities_blacklist_sectors": [
[
"sector 1",
"sector 2"
]
],
"charities_blacklist": [
[
"charity_id_1",
"charity_id_2"
]
],
"charities_whitelist_sectors": [
[
"sector 1",
"sector 2"
]
],
"charities_whitelist": [
[
"charity_id_1",
"charity_id_2"
]
]
}
Unauthorized
Loading...